Get Avi Lb Cloud Account
Get an AVI Load Balancer with a given id
The ID of the Cloud Account
The version of the API in yyyy-MM-dd format (UTC). For versioning information refer to /iaas/api/about
Successful operation
{
"id": "9.0E49",
"createdAt": "2012-09-27",
"updatedAt": "2012-09-27",
"owner": "[email protected]",
"ownerType": "ad_group",
"orgId": "42413b31-1716-477e-9a88-9dc1c3cb1cdf",
"_links": {
"empty": false
},
"name": "my-name",
"description": "my-description",
"hostName": "avilb.vmware.com",
"username": "[email protected]",
"customProperties": {
"cloud": "vsphere-cloud"
},
"tags": [
{
"key": "env",
"value": "dev"
}
]
}
The id of this resource instance
Date when the entity was created. The date is in ISO 8601 and UTC.
Date when the entity was last updated. The date is ISO 8601 and UTC.
Email of the user or display name of the group that owns the entity.
Type of a owner(user/ad_group) that owns the entity.
The id of the organization this entity belongs to.
HATEOAS of the entity
A human-friendly name used as an identifier in APIs that support this option.
A human-friendly description.
Host name for the AVI Load Balancer cloud account
Username to authenticate with the cloud account
Additional properties that may be used to extend the base type.
A set of tag keys and optional values that were set on the Cloud Account
Forbidden
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
Not Found
{
"message": "string",
"messageId": "string",
"stackTrace": [
"string"
],
"statusCode": 0,
"errorCode": 0,
"details": [
"string"
],
"serverErrorId": "string",
"documentKind": "string",
"internalErrorCode": 0
}
message
messageId
stackTrace
statusCode
errorCode
details
serverErrorId
documentKind
internalErrorCode
curl -H 'Authorization: <value>' https://{api_host}/iaas/api/cloud-accounts-avilb/{id}